Public Class STP_CertificacionDiscapacidadBusinessObject
    Inherits BusinessObject(Of STP_CertificacionDiscapacidad)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New STP_CertificacionDiscapacidadDbHelper
    End Sub

    Public Sub New(ByVal entity As STP_CertificacionDiscapacidad)
        MyBase.New(entity)
        DbHelper = New STP_CertificacionDiscapacidadDbHelper
    End Sub

    Public Sub New(ByVal idCertificacion As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idCertificacion = idCertificacion
        Dim Entity_Aux As STP_CertificacionDiscapacidad = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As STP_CertificacionDiscapacidadBusinessObject
    Protected Shared Function GetDdHelperInstance() As STP_CertificacionDiscapacidadDbHelper
        If _Instance Is Nothing Then
            _Instance = New STP_CertificacionDiscapacidadBusinessObject
        End If
    Return CType(_Instance.DbHelper, STP_CertificacionDiscapacidadDbHelper)
    End Function

    Public Shared Function GetListSTP_CertificacionDiscapacidad(Optional ByVal foreignLevel As Integer=0) As EntityList(Of STP_CertificacionDiscapacidad)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
